Red Hat OpenShift Enterprise release 2.1.2 is now available with updates topackages that fix several bugs.

OpenShift Enterprise by Red Hat is the company’s cloud computingPlatform-as-a-Service (PaaS) solution designed for on-premise or private clouddeployments.Space precludes documenting all of the bug fixes in this advisory. See theOpenShift Enterprise Technical Notes, which will be updated shortly for release2.1.2, for details about these changes:https://access.redhat.com/site/documentation/en-US/OpenShift_Enterprise/2/html-single/Technical_Notes/index.htmlAll OpenShift Enterprise users are advised to upgrade to these updated packages.
Red Hat OpenShift Enterprise 2

SRPMS:
libestr-0.1.9-2.el6op.src.rpm
    MD5: 9f5e71ff601b4a922106ce143f5371feSHA-256: 91db5ed10dbecc78c7830b2d818655b18a66493171b7ca4c7c8d21b8b01598f0
openshift-enterprise-upgrade-2.1.2-2.el6op.src.rpm
    MD5: 40a19117993d1bae592423225d865be6SHA-256: 97e2368877d74d62775e73f1b0d1dcb352545024560e253aa0811ec1a6689292
openshift-origin-broker-util-1.23.8.4-1.el6op.src.rpm
    MD5: 32b0dbea28832d49774a1a3877101540SHA-256: 390c3e7a29fd390274867b165006d8dee948ce025198fb8c2f53d4f9baa833bf
openshift-origin-node-proxy-1.22.3.3-1.el6op.src.rpm
    MD5: e61149a0654e71d0d71d74dd6ffe0031SHA-256: 28587fbcddef0bda9e2555fff25947992923e691b2d24cf2f4b92f339e685e77
openshift-origin-node-util-1.22.9.1-1.el6op.src.rpm
    MD5: 6ced0f37a210f194f567fd7634992c6fSHA-256: 49123fbd4dabf2d210058be78d02b63400375e54ad1db12b73b42f243551ce87
rhc-1.24.3.1-1.el6op.src.rpm
    MD5: 80c7802117394b4838f0ef914af8ecb8SHA-256: 9b187162be2ba6912fc5fb8b616eb749f81c66db6820375862a1276ffd8eac8d
rsyslog7-7.4.7-5.6.el6op.src.rpm
    MD5: 7fd6c14434b075b27108cf37b01a4f7bSHA-256: 51ce4c31da5425f0bef395223f588e02d1127724f28c982ba400f14813821578
rubygem-openshift-origin-common-1.22.5.7-1.el6op.src.rpm
    MD5: 85a5e98bd705a4a0c2a00efed02864a9SHA-256: 21ab582eedc67fed03566721f1fb2f0a9683bf7d1393cbffbe568fe08f86b3b5
rubygem-openshift-origin-console-1.23.4.3-1.el6op.src.rpm
    MD5: 802d56c08b862fdf3539f68439be6c5dSHA-256: 2fe7be753b566845efdd7c26ad41b5eebc0925c40c417cbbf75df95462d3cff9
rubygem-openshift-origin-controller-1.23.10.2-1.el6op.src.rpm
    MD5: fa5204d1887edf4a21cbd9ef39f2c5faSHA-256: 878fe513528307da83203271e5bce351e671c16904b8cb8d37b1c7b4958e577d
rubygem-openshift-origin-frontend-apache-vhost-0.5.2.4-1.el6op.src.rpm
    MD5: 0626a794bdaf7ab575c29790e384f839SHA-256: b790ab032f58cde0f762dba83263918551a0914a9731e81bd74963be4b3f7d9b
rubygem-openshift-origin-routing-activemq-0.4.1.1-1.el6op.src.rpm
    MD5: 8ec2b6b8b776ef601fb3a31c24621bc4SHA-256: d0464d17445440ad282cc4758eb13d904fccc9d3dcee6be83eb33b31d74cbc35
rubygem-passenger-3.0.21-12.el6op.src.rpm
    MD5: cd15614a3e2734d5c57e2b624bce8446SHA-256: 9307a33fe48190df65f73925ff159989d2c58101ec019d1b9da73025b422384f
 
x86_64:
libestr-0.1.9-2.el6op.x86_64.rpm
    MD5: d683d0c10f4e9b1d19ae04a77b264b21SHA-256: 02d15e58c545b9b03bbe928122553c0de53179f8a4c23987775604701fa6421c
libestr-devel-0.1.9-2.el6op.x86_64.rpm
    MD5: f24c9ed17cb3d777e2423305b4788ee4SHA-256: 55207b679b0887380cf9c66e4c760800cd75c54e53f4c46be06d4fce8f128814
mod_passenger-3.0.21-12.el6op.x86_64.rpm
    MD5: e3ae1128eb42fa4af8dd92b6cd4231c0SHA-256: 7557c38c00b16fba56d0f3433c4d7b8c03a21dfd00b56c9826398cf2f7b764af
openshift-enterprise-release-2.1.2-2.el6op.noarch.rpm
    MD5: 54df197f731e4217089813f15bd11ef5SHA-256: 39797127aeaedd5f16ef5aa210478abc3fb5187d78ec8a40a2c217b019635c07
openshift-enterprise-upgrade-broker-2.1.2-2.el6op.noarch.rpm
    MD5: 484f5cafcf60c632340d27df03670e3dSHA-256: e9f39ddbe6bf810891161d2d791a9368c49fa5008dfce0742f9106573f314448
openshift-enterprise-upgrade-node-2.1.2-2.el6op.noarch.rpm
    MD5: cd36b2f92a90db87a7c9ddac63f41524SHA-256: e05d4b9b148ac2384040bc1156ef77f43bd24d771c346f541539df3dacd75fab
openshift-enterprise-yum-validator-2.1.2-2.el6op.noarch.rpm
    MD5: a8a9e8e3421c84745fce6548e5902262SHA-256: eb472643077d9d5fedf47a2c4d0ebec9b67662c8bb25fd0b19762a49db25a242
openshift-origin-broker-util-1.23.8.4-1.el6op.noarch.rpm
    MD5: 7f314ae7743478067a071c2b95c4cda3SHA-256: 6d436d9f8e5656e9ef55a7cbc2a6589662b444cb97c185b757fd5740832bf7e3
openshift-origin-node-proxy-1.22.3.3-1.el6op.noarch.rpm
    MD5: c8958432679ff952edc80b1444e4ec93SHA-256: a7fa6b3960db8638e793d0f18b5dbbd8af7adb7a01578b668e0d45f5c0ed220e
openshift-origin-node-util-1.22.9.1-1.el6op.noarch.rpm
    MD5: 732719a4c9183eb5280b2e83689717f1SHA-256: 675cb9c363c225617e0dfbbadb649559b25011f53d69829c873eacd7f8044ad2
rhc-1.24.3.1-1.el6op.noarch.rpm
    MD5: 0fb083942a37c072789ec3a2ef3f6e33SHA-256: 9da2f9eda42bb5b8ab8248f1557ed35b28601cf6afe8f48a14321dfddcc708af
rsyslog7-7.4.7-5.6.el6op.x86_64.rpm
    MD5: b30ba05c16d131465710cf393eea6deaSHA-256: cc44731b5a7480eaf4c8e032ba9a112afc0b808331e94bff4998bd733d486649
rsyslog7-crypto-7.4.7-5.6.el6op.x86_64.rpm
    MD5: b40e43c581d7d9839df1503a74b86ccbSHA-256: edb303228a6a2bc50ed145503ceb056d57bc9b6a3fc2456574910a639db53463
rsyslog7-gnutls-7.4.7-5.6.el6op.x86_64.rpm
    MD5: 1a3e3fafd5a0e45670238bcab192f6e9SHA-256: 98002e90e82af3d2e69c1211609c5aecd014130d4e0e699763b372470f173370
rsyslog7-libdbi-7.4.7-5.6.el6op.x86_64.rpm
    MD5: 381c047f6efcf48321c354fe7730a978SHA-256: 3df25a1130909e5272be32ecba36d68e91fe683268cb281b9f8ba82d39941547
rsyslog7-mmjsonparse-7.4.7-5.6.el6op.x86_64.rpm
    MD5: f97e372d49bb6fc0a623e0249be4fb6bSHA-256: 0166be924946f7400ce084b000ada321ba089ca9e3197b8c9a51a57acc808f1b
rsyslog7-mmopenshift-7.4.7-5.6.el6op.x86_64.rpm
    MD5: 1d6adbbae624c6a5065114e845edbd72SHA-256: 58005ad882b59d325ab1de93c35b20a41c0026920e84aa0123cf06e172d3305a
rsyslog7-mysql-7.4.7-5.6.el6op.x86_64.rpm
    MD5: 9e89da4b50a5f3b4966f3dba2d05dd99SHA-256: 05c26308fc1426033ea7390e9787e5246463e2e9f188d2dd9fd603d029a3feaa
rsyslog7-pgsql-7.4.7-5.6.el6op.x86_64.rpm
    MD5: 1463cd9097caab46bcccf6fb1e5a4bf7SHA-256: 34ef74c081580e53fb7bf5177d8184ad181fb68546a6e179d257cd6644ec8c76
rsyslog7-snmp-7.4.7-5.6.el6op.x86_64.rpm
    MD5: 58794bc857825dce84c3026bfbe4ecc3SHA-256: bd4a616ffa88b7fd34c1b48183c82d73aacf9d76586858cb33a9bb87914cc82c
rubygem-openshift-origin-common-1.22.5.7-1.el6op.noarch.rpm
    MD5: 660bf68dbd4cf9e167bcdcfdbe6482d4SHA-256: edcdb332d1453c05727f34d197b7dff09ac056fb507bb4ccc76c6632465d6ff8
rubygem-openshift-origin-console-1.23.4.3-1.el6op.noarch.rpm
    MD5: fcb92924f011b6968f6766de85e4c41fSHA-256: 227120d10eccb936da727bf529f00fd3ff7c7fe1c6a5ffa2e69982d36df55930
rubygem-openshift-origin-controller-1.23.10.2-1.el6op.noarch.rpm
    MD5: b1f2308bba2dc344ce4767aa67576ebbSHA-256: ae901edf8cd805d88e0601c5d053404c17673b3afc2ccfb0c30daf7d4da8242a
rubygem-openshift-origin-frontend-apache-vhost-0.5.2.4-1.el6op.noarch.rpm
    MD5: ede5acdcc91dcf55c263364e7983c34cSHA-256: d77bfeb6edab3c11efc8613c7cebe28ac208a08b4296502df98eeccc3178c050
rubygem-openshift-origin-routing-activemq-0.4.1.1-1.el6op.noarch.rpm
    MD5: 515560fde5e24be2c64c97406c215dc1SHA-256: 645defab38e1be2e7ad002cd9c113de85fcf933ae392027214ce4ad6583c8ad2
rubygem-passenger-3.0.21-12.el6op.x86_64.rpm
    MD5: 91efa86016eb378b371a5584ed261076SHA-256: d4e93cb89276c840c006ad048f1d53217b2577dde106113fa1f2cded05b2a647
rubygem-passenger-devel-3.0.21-12.el6op.x86_64.rpm
    MD5: c844bb6e92ee1812961d016a80c2b8d2SHA-256: 41352bc67cf37526fdad9b86af402da84f3cf1a0489fd14e3cea0d11be99eac8
rubygem-passenger-native-3.0.21-12.el6op.x86_64.rpm
    MD5: c42d11c7ca5015985649638e4f28dd7dSHA-256: f926e6e679998a279ec7972b8ecc36bcd1232b4c03f13cd7d4455d3ae9378a9f
rubygem-passenger-native-libs-3.0.21-12.el6op.x86_64.rpm
    MD5: 1ea55bf213c5056f65024db2cd2a5a32SHA-256: 1eb086fe28de0666ce35ad2b35dababd44ca7065c373858c21b01b2cb6533a64
 
(The unlinked packages above are only available from the Red Hat Network)
1002559 – oo-diagnostics should check the mode on important files1007454 – [RFE] Show the gears UUID when calling oo-admin-ctl-app1044980 – Ruby app trys to load module and connection is refused1070629 – Update `oo-accept-node` to point the adminstrator to the `oo-devel-node` set-quota command1084292 – The app shall be rollback when it failed to be created with unknown nodename1093133 – Make the domain_op complete? method more robust1097844 – oo-admin-yum-validator doesn’t detect OSE version 2.1 under RHN1100169 – oo-diagnostics tools throw warning message when user add alias cert to app1100507 – Application types list has “JBoss Enterprise Application Platform 6” under “Other types” instead of under “Java”1101524 – The download malformed cartridge is also added to the app even if the command “rhc cartridge add” failed1102303 – Multiple domain scopes interfere with each other1102325 – The apps can not be accessed in one minute after git push finished successfully when frontend proxies is vhost plugin1102430 – ActiveMQ routing plug-in should take array of hosts1103138 – openshift-node-web-proxy died after oo-install1103294 – oo-diagnostics can hang in test_node_mco_log if the node mcollective log file is absent1107840 – Consider adding explicit version dependency: Requires: libestr >= 0.1.9

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from:

Leave a Reply